%global tar_date 20170914
%global debug_package %{nil}
%define _unpackaged_files_terminate_build 0


%{?python_provide:%python_provide python2-%{name}}

Name:		python-google-compute-engine
Version:	2.6.1
Release:	1%{?dist}
Group:		default
Summary:	Google Compute Engine Linux python library
BuildArch:	noarch
License:	ASL 2.0
URL:		https://github.com/GoogleCloudPlatform/compute-image-packages
Source0:	%{tar_date}.tar.gz

Requires:	python-boto
Requires:	python-setuptools
Provides:	python2-google-compute-engine

BuildRequires:	python2-devel python-setuptools python-boto

Obsoletes:	google-compute-daemon
Obsoletes:	google-startup-scripts

Conflicts:	google-compute-daemon
Conflicts:	google-startup-scripts

%description
Google Compute Engine python library for Python 2.x.

%prep
%autosetup -n compute-image-packages-%{tar_date}

%build
export CONFIG="systemd"
%{__python} setup.py %{?py_setup_args} build

%install
export CONFIG="systemd"
%{__python} setup.py %{?py_setup_args} install --prefix=%{_prefix} -O1 --skip-build --root %{buildroot}
rm -Rf %{buildroot}/usr/bin

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)

%{python_sitelib}/*


%changelog
* Sun Sep 18 2017 Sreenath G <sreenathg@redhat.com> - 2.6.1-1
- Resolves: rhbz#1479480
- rebasing to 2.6.1 version, upstream source reference 14-Sep-2017
